// DeviceCapsAppView.cpp : implementation of the CDeviceCapsAppView class
//

#include "stdafx.h"
#include "DeviceCapsApp.h"

#include "DeviceCapsAppDoc.h"
#include "DeviceCapsAppView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDeviceCapsAppView

IMPLEMENT_DYNCREATE(CDeviceCapsAppView, CView)

BEGIN_MESSAGE_MAP(CDeviceCapsAppView, CView)
	//{{AFX_MSG_MAP(CDeviceCapsAppView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDeviceCapsAppView construction/destruction

CDeviceCapsAppView::CDeviceCapsAppView()
{
	// TODO: add construction code here

}

CDeviceCapsAppView::~CDeviceCapsAppView()
{
}

BOOL CDeviceCapsAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDeviceCapsAppView drawing

void CDeviceCapsAppView::OnDraw(CDC* pDC)
{
	CDeviceCapsAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	int horRes = pDC->GetDeviceCaps(HORZRES);
	int verRes = pDC->GetDeviceCaps(VERTRES);
	int logPixelsX = pDC->GetDeviceCaps(LOGPIXELSX);
	int logPixelsY = pDC->GetDeviceCaps(LOGPIXELSY);
	int bitsPixel = pDC->GetDeviceCaps(BITSPIXEL);
	int numColors = pDC->GetDeviceCaps(NUMCOLORS);
	int sizePalette = pDC->GetDeviceCaps(SIZEPALETTE);

	char s[81];
	wsprintf(s, "HORIZONTAL RESOLUTION: %d", horRes);
	pDC->TextOut(20, 20, s);
	wsprintf(s, "VERTICAL RESOLUTION: %d", verRes);
	pDC->TextOut(20, 40, s);
	wsprintf(s, "HORIZONTAL PIXELS PER INCH: %d",
		logPixelsX);
	pDC->TextOut(20, 60, s);
	wsprintf(s, "VERTICAL PIXELS PER INCH: %d",
		logPixelsY);
	pDC->TextOut(20, 80, s);
	wsprintf(s, "BITS PER PIXEL: %d", bitsPixel);
	pDC->TextOut(20, 100, s);
	wsprintf(s, "NUMBER OF COLORS: %d", numColors);
	pDC->TextOut(20, 120, s);
	wsprintf(s, "SIZE OF PALETTE: %d", sizePalette);
	pDC->TextOut(20, 140, s);
}

/////////////////////////////////////////////////////////////////////////////
// CDeviceCapsAppView diagnostics

#ifdef _DEBUG
void CDeviceCapsAppView::AssertValid() const
{
	CView::AssertValid();
}

void CDeviceCapsAppView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDeviceCapsAppDoc* CDeviceCapsAppView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDeviceCapsAppDoc)));
	return (CDeviceCapsAppDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDeviceCapsAppView message handlers

