// MetafileDCAppView.cpp : implementation of the CMetafileDCAppView class
//

#include "stdafx.h"
#include "MetafileDCApp.h"

#include "MetafileDCAppDoc.h"
#include "MetafileDCAppView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMetafileDCAppView

IMPLEMENT_DYNCREATE(CMetafileDCAppView, CView)

BEGIN_MESSAGE_MAP(CMetafileDCAppView, CView)
	//{{AFX_MSG_MAP(CMetafileDCAppView)
	ON_WM_CREATE()
	ON_WM_LBUTTONDOWN()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMetafileDCAppView construction/destruction

CMetafileDCAppView::CMetafileDCAppView()
{
	// TODO: add construction code here

}

CMetafileDCAppView::~CMetafileDCAppView()
{
}

BOOL CMetafileDCAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMetafileDCAppView drawing

void CMetafileDCAppView::OnDraw(CDC* pDC)
{
	CMetafileDCAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CMetafileDCAppView diagnostics

#ifdef _DEBUG
void CMetafileDCAppView::AssertValid() const
{
	CView::AssertValid();
}

void CMetafileDCAppView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMetafileDCAppDoc* CMetafileDCAppView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMetafileDCAppDoc)));
	return (CMetafileDCAppDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMetafileDCAppView message handlers

int CMetafileDCAppView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here

	CMetaFileDC metaFileDC;
	metaFileDC.Create(NULL);

	metaFileDC.Rectangle(20, 20, 200, 300);
	metaFileDC.MoveTo(20, 20);
	metaFileDC.LineTo(200, 300);
	metaFileDC.MoveTo(200, 20);
	metaFileDC.LineTo(20, 300);

	CBrush redBrush(RGB(255,0,0));
	CBrush* oldBrush =
		metaFileDC.SelectObject(&redBrush);
	metaFileDC.FloodFill(100, 50, RGB(0,0,0));

	CBrush greenBrush(RGB(0,255,0));
	metaFileDC.SelectObject(&greenBrush);
	metaFileDC.FloodFill(100, 250, RGB(0,0,0));

	CBrush blueBrush(RGB(0,0,255));
	metaFileDC.SelectObject(&blueBrush);
	metaFileDC.FloodFill(50, 150, RGB(0,0,0));

	CBrush purpleBrush(RGB(190,0,190));
	metaFileDC.SelectObject(&purpleBrush);
	metaFileDC.FloodFill(150, 150, RGB(0,0,0));

	metaFileDC.SelectObject(oldBrush);
    m_hMetaFile = metaFileDC.Close();

	return 0;
}

void CMetafileDCAppView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default

	CClientDC clientDC(this);
	clientDC.PlayMetaFile(m_hMetaFile);

	CView::OnLButtonDown(nFlags, point);
}

void CMetafileDCAppView::OnDestroy() 
{
	CView::OnDestroy();
	
	// TODO: Add your message handler code here

	::DeleteMetaFile(m_hMetaFile);
}
